package com.sapportals.wcm.protocol.webdav;

import com.sapportals.wcm.IWcmConst;
import com.sapportals.wcm.util.uri.IUri;
import com.sapportals.wcm.util.uri.UriFactory;

/**
 * Constants common to both WebDAV clients and servers.
 *
 * <p>
 * Copyright (c) SAP AG 2001-2004
 * @author stefan.eissing@greenbytes.de
 * @author julian.reschke@greenbytes.de
 * @version $Id: Consts.java,v 1.10 2004/06/14 14:22:58 jre Exp $
 */

public class Consts {

  public static final String NS_WEBDAV = "DAV:";
  public static final String NS_NOTE_XMLDATA_DATATYPES = "urn:uuid:c2f41010-65b3-11d1-a29f-00aa00c14882/";
  public static final String NS_SAP = IWcmConst.SAP_WCM_NAMESPACE;
  public static final String NS_XSD = "http://www.w3.org/2001/XMLSchema";
  public static final String NS_XSI = "http://www.w3.org/2001/XMLSchema-instance";
  public static final String NS_SOAP_ENC = "http://schemas.xmlsoap.org/soap/encoding/";
  public static final String NS_WDSERVLET = IWcmConst.SAP_WCM_NAMESPACE + IWcmConst.NAMESPACE_SEPARATOR + "webdav";
  public static final String NS_SAP_PROPERTYFLAGS = IWcmConst.SAP_WCM_NAMESPACE + IWcmConst.NAMESPACE_SEPARATOR + "webdav";
  public static final String NS_SAP_DATATYPES = IWcmConst.SAP_WCM_NAMESPACE + IWcmConst.NAMESPACE_SEPARATOR + "datatypes";
  public static final String NS_XML = "http://www.w3.org/XML/1998/namespace";
  public static final String NS_XMLNS = "http://www.w3.org/2000/xmlns/";

  // support pre acl-10 draft clients (such as rmwebdav up until 60SP2).
  public static final boolean SUPPORT_ACL_PROTOCOL_OLD = true;

  public static final String EN_abstract = "abstract";
  public static final String EN_ace = "ace";
  public static final String EN_ace_combination = "ace-combination";
  public static final String EN_ace_conflict = "ace-conflict";
  public static final String EN_ace_ordering = "ace-ordering";
  public static final String EN_acl = "acl";
  public static final String EN_acl_sem = "acl-sem";
  public static final String EN_acl_semantics = "acl-semantics";
  public static final String EN_activelock = "activelock";
  public static final String EN_add = "add";
  public static final String EN_after = "after";
  public static final String EN_all = "all";
  public static final String EN_all_grant_before_any_deny = "all-grant-before-any-deny";
  public static final String EN_allowed_ace = "allowed-ace";
  public static final String EN_allprop = "allprop";
  public static final String EN_alternate_URI_set = "alternate-URI-set";
  public static final String EN_authenticated = "authenticated";
  public static final String EN_auto_version = "auto-version";
  public static final String EN_auto_update = "auto-update";

  public static final String EN_basicsearch = "basicsearch";
  public static final String EN_before = "before";
  public static final String EN_bind = "bind";
  public static final String EN_bind_response = "bind-response";
  public static final String EN_binding_name = "binding-name";

  public static final String EN_caseless_substring = "caseless-substring";
  public static final String EN_checked_in = "checked-in";
  public static final String EN_checked_out = "checked-out";
  public static final String EN_checkin = "checkin";
  public static final String EN_checkin_fork = "checkin-fork";
  public static final String EN_checkin_response = "checkin-response";
  public static final String EN_checkout = "checkout";
  public static final String EN_checkout_fork = "checkout-fork";
  public static final String EN_checkout_response = "checkout-response";
  public static final String EN_checkout_set = "checkout-set";
  public static final String EN_collection = "collection";
  public static final String EN_comment = "comment";
  public static final String EN_creationdate = "creationdate";
  public static final String EN_creator_displayname = "creator-displayname";
  public static final String EN_custom = "custom";

  public static final String EN_deny = "deny";
  public static final String EN_deny_before_grant = "deny-before-grant";
  public static final String EN_depth = "depth";
  public static final String EN_description = "description";
  public static final String EN_displayname = "displayname";

  public static final String EN_eclipsed_set = "eclipsed-set";
  public static final String EN_error = "error";
  public static final String EN_exclusive = "exclusive";
  public static final String EN_expand_property = "expand-property";

  public static final String EN_first = "first";
  public static final String EN_first_match = "first-match";
  public static final String EN_forbidden = "forbidden";
  public static final String EN_fork_ok = "fork-ok";
  public static final String EN_from = "from";

  public static final String EN_getcontenttype = "getcontenttype";
  public static final String EN_getcontentlanguage = "getcontentlanguage";
  public static final String EN_getcontentlength = "getcontentlength";
  public static final String EN_getetag = "getetag";
  public static final String EN_getlastmodified = "getlastmodified";
  public static final String EN_grammar = "grammar";
  public static final String EN_grant = "grant";
  public static final String EN_grant_only = "grant-only";
  public static final String EN_group_membership = "group-membership";

  public static final String EN_href = "href";

  public static final String EN_inherited = "inherited";
  public static final String EN_ishidden = "ishidden"; // used by MS Webfolder

  public static final String EN_keepalive = "keepalive";

  public static final String EN_label = "label";
  public static final String EN_label_name = "label-name";
  public static final String EN_label_name_set = "label-name-set";
  public static final String EN_last = "last";
  public static final String EN_limit = "limit";
  public static final String EN_locate_by_history = "locate-by-history";
  public static final String EN_location = "location";
  public static final String EN_lockdiscovery = "lockdiscovery";
  public static final String EN_lockentry = "lockentry";
  public static final String EN_lockinfo = "lockinfo";
  public static final String EN_lockscope = "lockscope";
  public static final String EN_locktoken = "locktoken";
  public static final String EN_locktype = "locktype";

  public static final String EN_multistatus = "multistatus";

  public static final String EN_name = "name";
  public static final String EN_never = "never";
  public static final String EN_no_invert = "no-invert";
  public static final String EN_nresults = "nresults";

  public static final String EN_omit = "omit";
  public static final String EN_owner = "owner";

  public static final String EN_parent = "parent";
  public static final String EN_parent_set = "parent-set";
  public static final String EN_predecessor_set = "predecessor-set";
  public static final String EN_principal = "principal";
  public static final String EN_principal_collection_set = "principal-collection-set";
  public static final String EN_principal_match = "principal-match";
  public static final String EN_principal_only_one_ace = "principal-only-one-ace";
  public static final String EN_principal_property = "principal-property";
  public static final String EN_principal_property_search = "principal-property-search";
  public static final String EN_principal_search_property = "principal-search-property";
  public static final String EN_principal_search_property_set = "principal-search-property-set";
  public static final String EN_principal_URL = "principal-URL";
  public static final String EN_privilege = "privilege";
  public static final String EN_prop = "prop";
  public static final String EN_property = "property";
  public static final String EN_property_search = "property-search";
  public static final String EN_propfind = "propfind";
  public static final String EN_propname = "propname";
  public static final String EN_position = "position";
  public static final String EN_propertybehavior = "propertybehavior";
  public static final String EN_propertyupdate = "propertyupdate";
  public static final String EN_propstat = "propstat";
  public static final String EN_protected = "protected";
  public static final String EN_protected_ace_conflict = "protected-ace-conflict";

  public static final String EN_read = "read";
  public static final String EN_read_acl = "read-acl";
  public static final String EN_read_cuprivset = "read-current-user-privilege-set";
  public static final String EN_redirectref = "redirectref";
  public static final String EN_reftarget = "reftarget";
  public static final String EN_remove = "remove";
  public static final String EN_report = "report";
  public static final String EN_required_principal = "required-principal";
  public static final String EN_resource_id = "resource-id";
  public static final String EN_resourcetype = "resourcetype";
  public static final String EN_response = "response";
  public static final String EN_responsedescription = "responsedescription";
  public static final String EN_root_version = "root-version";

  public static final String EN_scope = "scope";
  public static final String EN_scopeerror = "scopeerror";
  public static final String EN_searchrequest = "searchrequest";
  public static final String EN_segment = "segment";
  public static final String EN_select = "select";
  public static final String EN_self = "self";
  public static final String EN_set = "set";
  public static final String EN_shared = "shared";
  public static final String EN_source = "source";
  public static final String EN_specific_deny_overrides_grant = "specific-deny-overrides-grant";
  public static final String EN_status = "status";
  public static final String EN_successor_set = "successor-set";
  public static final String EN_supportedlock = "supportedlock";
  public static final String EN_supported_live_property = "supported-live-property";
  public static final String EN_supported_live_property_set = "supported-live-property-set";
  public static final String EN_supported_query_grammar = "supported-query-grammar";
  public static final String EN_supported_query_grammar_set = "supported-query-grammar-set";
  public static final String EN_supported_method = "supported-method";
  public static final String EN_supported_method_set = "supported-method-set";
  public static final String EN_supported_privilege = "supported-privilege";
  public static final String EN_supported_privilege_set = "supported-privilege-set";
  public static final String EN_supported_report = "supported-report";
  public static final String EN_supported_report_set = "supported-report-set";

  public static final String EN_timeout = "timeout";
  public static final String EN_too_many_aces = "too-many-aces";

  public static final String EN_unauthenticated = "unauthenticated";
  public static final String EN_unlock = "unlock";
  public static final String EN_unordered = "unordered";

  public static final String EN_version_control = "version-control";
  public static final String EN_version_controlled_binding = "version-controlled-binding";
  public static final String EN_version_controlled_binding_set = "version-controlled-binding-set";
  public static final String EN_version_history = "version-history";
  public static final String EN_version_history_set = "version-history-set";
  public static final String EN_version_history_collection_set = "version-history-collection-set";
  public static final String EN_version_name = "version-name";
  public static final String EN_version_set = "version-set";
  public static final String EN_version_tree = "version-tree";

  public static final String EN_where = "where";
  public static final String EN_workspace_collection_set = "workspace-collection-set";
  public static final String EN_write = "write";
  public static final String EN_write_acl = "write-acl";
  public static final String EN_write_properties = "write-properties";
  public static final String EN_write_content = "write-content";


  // Predefined Names
  public static final Name N_abstract = new Name(NS_WEBDAV, EN_abstract);
  public static final Name N_ace = new Name(NS_WEBDAV, EN_ace);
  public static final Name N_ace_combination = new Name(NS_WEBDAV, EN_ace_combination);
  public static final Name N_ace_conflict = new Name(NS_WEBDAV, EN_ace_conflict);
  public static final Name N_ace_ordering = new Name(NS_WEBDAV, EN_ace_ordering);
  public static final Name N_acl = new Name(NS_WEBDAV, EN_acl);
  public static final Name N_acl_principal_prop_set = new Name(NS_WEBDAV, "acl-principal-prop-set");
  public static final Name N_acl_sem = new Name(NS_WEBDAV, EN_acl_sem);
  public static final Name N_acl_restrictions = new Name(NS_WEBDAV, "acl-restrictions");
  public static final Name N_acl_semantics = new Name(NS_WEBDAV, EN_acl_semantics);
  public static final Name N_activelock = new Name(NS_WEBDAV, EN_activelock);
  public static final Name N_add = new Name(NS_WEBDAV, EN_add);
  public static final Name N_after = new Name(NS_WEBDAV, EN_after);
  public static final Name N_all = new Name(NS_WEBDAV, EN_all);
  public static final Name N_all_grant_before_any_deny = new Name(NS_WEBDAV, EN_all_grant_before_any_deny);
  public static final Name N_allowed_ace = new Name(NS_WEBDAV, EN_allowed_ace);
  public static final Name N_allprop = new Name(NS_WEBDAV, EN_allprop);
  public static final Name N_alternate_URI_set = new Name(NS_WEBDAV, EN_alternate_URI_set);
  public static final Name N_apply_to_principal_collection_set = new Name(NS_WEBDAV, "apply-to-principal-collection-set");
  public static final Name N_apply_to_version = new Name(NS_WEBDAV, "apply-to-version");
  public static final Name N_authenticated = new Name(NS_WEBDAV, EN_authenticated);
  public static final Name N_auto_update = new Name(NS_WEBDAV, EN_auto_update);
  public static final Name N_auto_version = new Name(NS_WEBDAV, EN_auto_version);

  public static final Name N_basicsearch = new Name(NS_WEBDAV, EN_basicsearch);
  public static final Name N_before = new Name(NS_WEBDAV, EN_before);
  public static final Name N_bind = new Name(NS_WEBDAV, EN_bind);
  public static final Name N_bind_response = new Name(NS_WEBDAV, EN_bind_response);
  public static final Name N_binding_name = new Name(NS_WEBDAV, EN_binding_name);

  public static final Name N_caseless_substring = new Name(NS_WEBDAV, EN_caseless_substring);
  public static final Name N_checked_in = new Name(NS_WEBDAV, EN_checked_in);
  public static final Name N_checked_out = new Name(NS_WEBDAV, EN_checked_out);
  public static final Name N_checkin = new Name(NS_WEBDAV, EN_checkin);
  public static final Name N_checkin_fork = new Name(NS_WEBDAV, EN_checkin_fork);
  public static final Name N_checkin_response = new Name(NS_WEBDAV, EN_checkin_response);
  public static final Name N_checkout = new Name(NS_WEBDAV, EN_checkout);
  public static final Name N_checkout_fork = new Name(NS_WEBDAV, EN_checkout_fork);
  public static final Name N_checkout_response = new Name(NS_WEBDAV, EN_checkout_response);
  public static final Name N_checkout_set = new Name(NS_WEBDAV, EN_checkout_set);
  public static final Name N_collection = new Name(NS_WEBDAV, EN_collection);
  public static final Name N_comment = new Name(NS_WEBDAV, EN_comment);
  public static final Name N_creationdate = new Name(NS_WEBDAV, EN_creationdate);
  public static final Name N_creator_displayname = new Name(NS_WEBDAV, EN_creator_displayname);
  public static final Name N_current_user_privilege_set = new Name(NS_WEBDAV, "current-user-privilege-set");
  public static final Name N_custom = new Name(NS_WEBDAV, EN_custom);

  public static final Name N_dead_props = new Name(NS_WEBDAV, "dead-props"); // RFC2518bis
  public static final Name N_deny = new Name(NS_WEBDAV, EN_deny);
  public static final Name N_deny_before_grant = new Name(NS_WEBDAV, EN_deny_before_grant);
  public static final Name N_depth = new Name(NS_WEBDAV, EN_depth);
  public static final Name N_description = new Name(NS_WEBDAV, EN_description);
  public static final Name N_displayname = new Name(NS_WEBDAV, EN_displayname);

  public static final Name N_eclipsed_set = new Name(NS_WEBDAV, EN_eclipsed_set);
  public static final Name N_error = new Name(NS_WEBDAV, EN_error);
  public static final Name N_exclusive = new Name(NS_WEBDAV, EN_exclusive);
  public static final Name N_expand_property = new Name(NS_WEBDAV, EN_expand_property);

  public static final Name N_first = new Name(NS_WEBDAV, EN_first);
  public static final Name N_first_match = new Name(NS_WEBDAV, EN_first_match);
  public static final Name N_forbidden = new Name(NS_WEBDAV, EN_forbidden);
  public static final Name N_fork_ok = new Name(NS_WEBDAV, EN_fork_ok);
  public static final Name N_from = new Name(NS_WEBDAV, EN_from);

  public static final Name N_getcontenttype = new Name(NS_WEBDAV, EN_getcontenttype);
  public static final Name N_getcontentlanguage = new Name(NS_WEBDAV, EN_getcontentlanguage);
  public static final Name N_getcontentlength = new Name(NS_WEBDAV, EN_getcontentlength);
  public static final Name N_getetag = new Name(NS_WEBDAV, EN_getetag);
  public static final Name N_getlastmodified = new Name(NS_WEBDAV, EN_getlastmodified);
  public static final Name N_grammar = new Name(NS_WEBDAV, EN_grammar);
  public static final Name N_grant = new Name(NS_WEBDAV, EN_grant);
  public static final Name N_grant_only = new Name(NS_WEBDAV, EN_grant_only);
  public static final Name N_group = new Name(NS_WEBDAV, "group");
  public static final Name N_group_membership = new Name(NS_WEBDAV, EN_group_membership);
  public static final Name N_group_member_set = new Name(NS_WEBDAV, "group-member-set");

  public static final Name N_href = new Name(NS_WEBDAV, EN_href);

  public static final Name N_include_versions = new Name(NS_WEBDAV, "include-versions");
  public static final Name N_inherited = new Name(NS_WEBDAV, EN_inherited);
  public static final Name N_inherited_acl_set = new Name(NS_WEBDAV, "inherited-acl-set");
  public static final Name N_ishidden = new Name(NS_WEBDAV, EN_ishidden);

  public static final Name N_keepalive = new Name(NS_WEBDAV, EN_keepalive);
  public static final Name N_keep_checked_out = new Name(NS_WEBDAV, "keep-checked-out");

  public static final Name N_label = new Name(NS_WEBDAV, EN_label);
  public static final Name N_labeled_version = new Name(NS_WEBDAV, "labeled-version");
  public static final Name N_labeled_version_report = new Name(NS_WEBDAV, "labeled-version-report");
  public static final Name N_label_name = new Name(NS_WEBDAV, EN_label_name);
  public static final Name N_label_name_set = new Name(NS_WEBDAV, EN_label_name_set);
  public static final Name N_last = new Name(NS_WEBDAV, EN_last);
  public static final Name N_limit = new Name(NS_WEBDAV, EN_limit);
  public static final Name N_locate_by_history = new Name(NS_WEBDAV, EN_locate_by_history);
  public static final Name N_location = new Name(NS_WEBDAV, EN_location);
  public static final Name N_lockdiscovery = new Name(NS_WEBDAV, EN_lockdiscovery);
  public static final Name N_lockentry = new Name(NS_WEBDAV, EN_lockentry);
  public static final Name N_lockinfo = new Name(NS_WEBDAV, EN_lockinfo);
  public static final Name N_lockroot = new Name(NS_WEBDAV, "lockroot");
  public static final Name N_lockscope = new Name(NS_WEBDAV, EN_lockscope);
  public static final Name N_locktoken = new Name(NS_WEBDAV, EN_locktoken);
  public static final Name N_locktype = new Name(NS_WEBDAV, EN_locktype);

  public static final Name N_match = new Name(NS_WEBDAV, "match");
  public static final Name N_mkredirectref = new Name(NS_WEBDAV, "mkredirectref");
  public static final Name N_mkworkspace = new Name(NS_WEBDAV, "mkworkspace");
  public static final Name N_mkworkspace_response = new Name(NS_WEBDAV, "mkworkspace-response");
  public static final Name N_multistatus = new Name(NS_WEBDAV, EN_multistatus);

  public static final Name N_name = new Name(NS_WEBDAV, EN_name);
  public static final Name N_never = new Name(NS_WEBDAV, EN_never);
  public static final Name N_no_invert = new Name(NS_WEBDAV, EN_no_invert);
  public static final Name N_nresults = new Name(NS_WEBDAV, EN_nresults);

  public static final Name N_omit = new Name(NS_WEBDAV, EN_omit);
  public static final Name N_options = new Name(NS_WEBDAV, "options");
  public static final Name N_options_response = new Name(NS_WEBDAV, "options-response");
  public static final Name N_order = new Name(NS_WEBDAV, "order"); // deprecate me
  public static final Name N_orderingtype = new Name(NS_WEBDAV, "orderingtype"); // deprecate me
  public static final Name N_ordering_type = new Name(NS_WEBDAV, "ordering-type"); // deprecate me
  public static final Name N_ordermember = new Name(NS_WEBDAV, "ordermember"); // deprecate me
  public static final Name N_order_member = new Name(NS_WEBDAV, "order-member");
  public static final Name N_orderpatch = new Name(NS_WEBDAV, "orderpatch");
  public static final Name N_owner = new Name(NS_WEBDAV, EN_owner);

  public static final Name N_parent = new Name(NS_WEBDAV, EN_parent);
  public static final Name N_parent_set = new Name(NS_WEBDAV, EN_parent_set);
  public static final Name N_permanent = new Name(NS_WEBDAV, "permanent");
  public static final Name N_position = new Name(NS_WEBDAV, EN_position);
  public static final Name N_predecessor_set = new Name(NS_WEBDAV, EN_predecessor_set);
  public static final Name N_principal = new Name(NS_WEBDAV, EN_principal);
  public static final Name N_principal_collection_set = new Name(NS_WEBDAV, EN_principal_collection_set);
  public static final Name N_principal_match = new Name(NS_WEBDAV, EN_principal_match);
  public static final Name N_principal_only_one_ace = new Name(NS_WEBDAV, EN_principal_only_one_ace);
  public static final Name N_principal_property = new Name(NS_WEBDAV, EN_principal_property);
  public static final Name N_principal_property_search = new Name(NS_WEBDAV, EN_principal_property_search);
  public static final Name N_principal_search_property = new Name(NS_WEBDAV, EN_principal_search_property);
  public static final Name N_principal_search_property_set = new Name(NS_WEBDAV, EN_principal_search_property_set);
  public static final Name N_principal_URL = new Name(NS_WEBDAV, EN_principal_URL);
  public static final Name N_privilege = new Name(NS_WEBDAV, EN_privilege);
  public static final Name N_prop = new Name(NS_WEBDAV, EN_prop);
  public static final Name N_property = new Name(NS_WEBDAV, EN_property);
  public static final Name N_property_search = new Name(NS_WEBDAV, EN_property_search);
  public static final Name N_propertybehavior = new Name(NS_WEBDAV, EN_propertybehavior);
  public static final Name N_propertyupdate = new Name(NS_WEBDAV, EN_propertyupdate);
  public static final Name N_propfind = new Name(NS_WEBDAV, EN_propfind);
  public static final Name N_propname = new Name(NS_WEBDAV, EN_propname);
  public static final Name N_propstat = new Name(NS_WEBDAV, EN_propstat);
  public static final Name N_protected = new Name(NS_WEBDAV, EN_protected);
  public static final Name N_protected_ace_conflict = new Name(NS_WEBDAV, EN_protected_ace_conflict);

  public static final Name N_read = new Name(NS_WEBDAV, EN_read);
  public static final Name N_read_acl = new Name(NS_WEBDAV, EN_read_acl);
  public static final Name N_read_cuprivset = new Name(NS_WEBDAV, EN_read_cuprivset);
  public static final Name N_redirectref = new Name(NS_WEBDAV, EN_redirectref);
  public static final Name N_redirect_lifetime = new Name(NS_WEBDAV, "redirect-lifetime");
  public static final Name N_reftarget = new Name(NS_WEBDAV, EN_reftarget);
  public static final Name N_remove = new Name(NS_WEBDAV, EN_remove);
  public static final Name N_report = new Name(NS_WEBDAV, EN_report);
  public static final Name N_required_principal = new Name(NS_WEBDAV, EN_required_principal);
  public static final Name N_resource_id = new Name(NS_WEBDAV, EN_resource_id);
  public static final Name N_resourcetype = new Name(NS_WEBDAV, EN_resourcetype);
  public static final Name N_response = new Name(NS_WEBDAV, EN_response);
  public static final Name N_responsedescription = new Name(NS_WEBDAV, EN_responsedescription);
  public static final Name N_root_version = new Name(NS_WEBDAV, EN_root_version);

  public static final Name N_scope = new Name(NS_WEBDAV, EN_scope);
  public static final Name N_scopeerror = new Name(NS_WEBDAV, EN_scopeerror);
  public static final Name N_searchrequest = new Name (Consts.NS_WEBDAV, EN_searchrequest);
  public static final Name N_segment = new Name(NS_WEBDAV, EN_segment);
  public static final Name N_select = new Name(NS_WEBDAV, EN_select);
  public static final Name N_self = new Name(NS_WEBDAV, EN_self);
  public static final Name N_set = new Name(NS_WEBDAV, EN_set);
  public static final Name N_shared = new Name(NS_WEBDAV, EN_shared);
  public static final Name N_source = new Name(NS_WEBDAV, EN_source);
  public static final Name N_specific_deny_overrides_grant = new Name(NS_WEBDAV, EN_specific_deny_overrides_grant);
  public static final Name N_status = new Name(NS_WEBDAV, EN_status);
  public static final Name N_successor_set = new Name(NS_WEBDAV, EN_successor_set);
  public static final Name N_supportedlock = new Name(NS_WEBDAV, EN_supportedlock);
  public static final Name N_supported_query_grammar = new Name(NS_WEBDAV, EN_supported_query_grammar);
  public static final Name N_supported_query_grammar_set = new Name(NS_WEBDAV, EN_supported_query_grammar_set);
  public static final Name N_supported_live_property = new Name(NS_WEBDAV, EN_supported_live_property);
  public static final Name N_supported_live_property_set = new Name(NS_WEBDAV, EN_supported_live_property_set);
  public static final Name N_supported_method = new Name(NS_WEBDAV, EN_supported_method);
  public static final Name N_supported_method_set = new Name(NS_WEBDAV, EN_supported_method_set);
  public static final Name N_supported_privilege = new Name(NS_WEBDAV, EN_supported_privilege);
  public static final Name N_supported_privilege_set = new Name(NS_WEBDAV, EN_supported_privilege_set);
  public static final Name N_supported_report = new Name(NS_WEBDAV, EN_supported_report);
  public static final Name N_supported_report_set = new Name(NS_WEBDAV, EN_supported_report_set);

  public static final Name N_temporary = new Name(NS_WEBDAV, "temporary");
  public static final Name N_timeout = new Name(NS_WEBDAV, EN_timeout);
  public static final Name N_too_many_aces = new Name(NS_WEBDAV, EN_too_many_aces);

  public static final Name N_unauthenticated = new Name(NS_WEBDAV, EN_unauthenticated);
  public static final Name N_unbind = new Name(NS_WEBDAV, "unbind");
  public static final Name N_unbind_response = new Name(NS_WEBDAV, "unbind-response");
  public static final Name N_unlock = new Name(NS_WEBDAV, EN_unlock);
  public static final Name N_unordered = new Name(NS_WEBDAV, EN_unordered);
  public static final Name N_update = new Name(NS_WEBDAV, "update");

  public static final Name N_version = new Name(NS_WEBDAV, "version");
  public static final Name N_version_control = new Name(NS_WEBDAV, EN_version_control);
  public static final Name N_version_controlled_binding = new Name(NS_WEBDAV, EN_version_controlled_binding);
  public static final Name N_version_controlled_binding_set = new Name(NS_WEBDAV, EN_version_controlled_binding_set);
  public static final Name N_version_history = new Name(NS_WEBDAV, EN_version_history);
  public static final Name N_version_history_set = new Name(NS_WEBDAV, EN_version_history_set);
  public static final Name N_version_history_collection_set = new Name(NS_WEBDAV, EN_version_history_collection_set);
  public static final Name N_version_name = new Name(NS_WEBDAV, EN_version_name);
  public static final Name N_version_set = new Name(NS_WEBDAV, EN_version_set);
  public static final Name N_version_tree = new Name(NS_WEBDAV, EN_version_tree);

  public static final Name N_where = new Name(NS_WEBDAV, EN_where);
  public static final Name N_workspace = new Name(NS_WEBDAV, "workspace");
  public static final Name N_workspace_checkout_set = new Name(NS_WEBDAV, "workspace-checkout-set");
  public static final Name N_workspace_collection_set = new Name(NS_WEBDAV, EN_workspace_collection_set);
  public static final Name N_write = new Name(NS_WEBDAV, EN_write);
  public static final Name N_write_acl = new Name(NS_WEBDAV, EN_write_acl);
  public static final Name N_write_content = new Name(NS_WEBDAV, EN_write_content);
  public static final Name N_write_properties = new Name(NS_WEBDAV, EN_write_properties);

  // Constants used for "expected version URI" behaviour
  public static final Name N_SAP_compute_expected_version_URI = new Name (Consts.NS_WDSERVLET, "compute-expected-version-URI");
  public static final Name N_SAP_expected_version_URI = new Name (Consts.NS_WDSERVLET, "expected-version-URI");

  public static final Name N_SAP_principal_URI = new Name (Consts.NS_SAP, "principal-URI");
  public static final Name N_SAP_description = new Name (Consts.NS_SAP, "description");

  // SAP resourcetype for MKRESOURCE and internal links
  public static final Name N_SAP_internal_link = new Name (Consts.NS_WDSERVLET, "internal-link");
  public static final Name N_SAP_dynamic = new Name (Consts.NS_WDSERVLET, "dynamic");
  public static final Name N_SAP_static = new Name (Consts.NS_WDSERVLET, "static");

  // SAP UM live properties
  public static final Name N_SAP_principal_details = new Name (Consts.NS_WDSERVLET, "principal-details");
  public static final Name N_SAP_group_id = new Name (Consts.NS_WDSERVLET, "group-id");
  public static final Name N_SAP_role_id = new Name (Consts.NS_WDSERVLET, "role-id");
  public static final Name N_SAP_user_id = new Name (Consts.NS_WDSERVLET, "user-id");

  // other SAP specific live properties
  public static final Name N_SAP_appproperties = new Name (Consts.NS_WDSERVLET, "appproperties");
  public static final Name N_SAP_personalized_appproperties = new Name (Consts.NS_WDSERVLET, "personalized-appproperties");
  public static final Name N_SAP_repository = new Name (Consts.NS_WDSERVLET, "repository");

  // extended version of expand-property REPORT
  public static final Name N_SAP_expand_property = new Name (Consts.NS_WDSERVLET, "expand-property");
  public static final Name N_SAP_restrict_to = new Name (Consts.NS_WDSERVLET, "restrict-to");

  // UM specific report
  public static final Name N_SAP_locate_principal = new Name(Consts.NS_WDSERVLET, "locate-principal");

  // SAP allprop include extension
  public static final Name N_SAP_include = new Name (Consts.NS_WDSERVLET, "include");

  // SAP property flags extensions
  public static final Name N_SAP_include_hidden_flag = new Name(Consts.NS_SAP_PROPERTYFLAGS, "include-hidden-flag");
  public static final Name N_SAP_include_protected_flag = new Name(Consts.NS_SAP_PROPERTYFLAGS, "include-protected-flag");
  public static final Name N_SAP_property_displayname_set = new Name(Consts.NS_SAP_PROPERTYFLAGS, "property-displayname-set");



  // HTTP headers

  public static final String HEADER_ACCEPTRANGES = "Accept-Ranges";
  public static final String HEADER_CONTENTLANGUAGE = "Content-Language";
  public static final String HEADER_CONTENTLENGTH = "Content-Length";
  public static final String HEADER_CONTENTRANGE = "Content-Range";
  public static final String HEADER_CONTENTTYPE = "Content-Type";
  public static final String HEADER_ETAG = "ETag";
  public static final String HEADER_EXPIRES = "Expires";
  public static final String HEADER_LASTMODIFIED = "Last-Modified";

  public static final IUri ORDERING_TYPE_UNORDERED;
  public static final IUri ORDERING_TYPE_CUSTOM;

  static {
    try {
      IUri tmp = UriFactory.parseUri("DAV:unordered");
      ORDERING_TYPE_UNORDERED = tmp;
      tmp = UriFactory.parseUri("DAV:custom");
      ORDERING_TYPE_CUSTOM = tmp;
    }
    catch (java.net.MalformedURLException ex) {
      throw new RuntimeException(ex.getMessage());
    }
  }

  // headers used in RFC2518

  public static final String HEADER_LOCKTOKEN = "Lock-Token";

  // Ordered Collection Headers and values

  public static final String HEADER_ORDERED = "Ordered"; // deprecate me
  public static final String HEADER_ORDING_TYPE = "Ordering-Type";
  public static final String HEADER_ORDERED_CUSTOM = "DAV:custom";
  public static final String HEADER_ORDERED_UNORDERED = "DAV:unordered";

  public static final String HEADER_POSITION = "Position";
  public static final String HEADER_POSITION_FIRST = "first";
  public static final String HEADER_POSITION_LAST = "last";
  public static final String HEADER_POSITION_BEFORE = "before";
  public static final String HEADER_POSITION_AFTER = "after";
  
  // Redirect Ref protocol
  
  public static final String HEADER_APPLY_TO_REDIRECT_REF = "Apply-To-Redirect-Ref";  
  
  // Extensions

  public static final String SERVLET_TRACE_HEADER = "x-greenbytes";
  public static final String SERVLET_TRACE_HEADER2 = "x-litmus";
  public static final String SERVLET_TRACE_HEADER3 = "x-litmus-second";
}