package com.sapportals.wcm.protocol.webdav;

/**
 * Constants for WebDAV pre-/postconditions.
 *
 * <p>
 * Copyright (c) SAP AG 2002-2004
 * @author julian.reschke@greenbytes.de
 * @version $Id: DavConditions.java,v 1.11 2005/01/21 17:15:37 jre Exp $
 */

public class DavConditions {

  public static final Name N_add_must_be_new_label = new Name(Consts.NS_WEBDAV, "add-must-be-new-label");
  public static final Name N_allowed_principal = new Name(Consts.NS_WEBDAV, "allowed-principal");

  public static final Name N_bind_into_collection = new Name(Consts.NS_WEBDAV, "bind-into-collection");
  public static final Name N_binding_allowed = new Name(Consts.NS_WEBDAV, "bindind-allowed");
  public static final Name N_bind_source_exists = new Name(Consts.NS_WEBDAV, "bind-source-exists");

  public static final Name N_can_overwrite = new Name(Consts.NS_WEBDAV, "can-overwrite");
  public static final Name N_cannot_add_to_existing_history = new Name(Consts.NS_WEBDAV, "cannot-add-to-existing-history");
  public static final Name N_cannot_copy_history = new Name(Consts.NS_WEBDAV, "cannot-copy-history");
  public static final Name N_cannot_modify_checked_in_parent = new Name(Consts.NS_WEBDAV, "cannot-modify-checked-in-parent");
  public static final Name N_cannot_modify_protected_property = new Name(Consts.NS_WEBDAV, "cannot-modify-protected-property");
  public static final Name N_cannot_modify_version = new Name(Consts.NS_WEBDAV, "cannot-modify-version");
  public static final Name N_cannot_modify_version_controlled_property = new Name(Consts.NS_WEBDAV, "cannot-modify-version-controlled-property");
  public static final Name N_cannot_rename_history = new Name(Consts.NS_WEBDAV, "cannot-rename-history");
  public static final Name N_checkout_of_checked_out_version_is_discouraged = new Name(Consts.NS_WEBDAV, "checkout-of-checked-out-version-is-discouraged");
  public static final Name N_checkout_of_version_with_descendant_is_discouraged = new Name(Consts.NS_WEBDAV, "checkout-of-version-with-descendant-is-discouraged");
  public static final Name N_collection_must_be_ordered = new Name(Consts.NS_WEBDAV, "collection-must-be-ordered");
  public static final Name N_cross_server_binding = new Name(Consts.NS_WEBDAV, "cross-server-binding");
  public static final Name N_cycle_allowed = new Name(Consts.NS_WEBDAV, "cycle-allowed");

  public static final Name N_deny_before_grant = Consts.N_deny_before_grant;

  public static final Name N_grant_only = Consts.N_grant_only;

  public static final Name N_inherited_ace_conflict = new Name(Consts.NS_WEBDAV, "inherited-ace-conflict");

  public static final Name N_label_must_exist = new Name(Consts.NS_WEBDAV, "label-must-exist");

  public static final Name N_must_be_checked_in = new Name(Consts.NS_WEBDAV, "must-be-checked-in");
  public static final Name N_must_be_checked_out = new Name(Consts.NS_WEBDAV, "must-be-checked-out");
  public static final Name N_must_be_checked_out_version_controlled_resource = new Name(Consts.NS_WEBDAV, "must-be-checked-out-version-controlled-resource");
  public static final Name N_must_be_version = new Name(Consts.NS_WEBDAV, "must-be-version");
  public static final Name N_must_be_version_history = new Name(Consts.NS_WEBDAV, "must-be-version-history");

  public static final Name N_name_allowed = new Name(Consts.NS_WEBDAV, "name-allowed");
  public static final Name N_need_privileges = new Name(Consts.NS_WEBDAV, "need-privileges");
  public static final Name N_no_abstract = new Name(Consts.NS_WEBDAV, "no-abstract");
  public static final Name N_no_version_delete = new Name(Consts.NS_WEBDAV, "no-version-delete");
  public static final Name N_number_of_matches_within_limits = new Name(Consts.NS_WEBDAV, "number-of-matches-within-limits");

  public static final Name N_one_version_controlled_resource_per_history_per_workspace
      = new Name(Consts.NS_WEBDAV, "one-version-controlled-resource-per-history-per-workspace");

  public static final Name N_preserve_versioning_properties = new Name(Consts.NS_WEBDAV, "preserve-versioning-properties");
  public static final Name N_principal_only_one_ace = Consts.N_principal_only_one_ace;
  public static final Name N_protected_ace_conflict = new Name(Consts.NS_WEBDAV, "protected-ace-conflict");

  public static final Name N_recognized_principal = new Name(Consts.NS_WEBDAV, "recognized-principal");
  public static final Name N_redirect_lifetime_supported = new Name(Consts.NS_WEBDAV, "redirect-lifetime-supported");
  public static final Name N_resource_must_be_null = new Name(Consts.NS_WEBDAV, "resource-must-be-null");

  public static final Name N_search_grammar_supported = new Name(Consts.NS_WEBDAV, "search-grammar-supported");
  public static final Name N_search_scope_valid = new Name(Consts.NS_WEBDAV, "search-scope-valid");
  public static final Name N_segment_must_identity_member = new Name(Consts.NS_WEBDAV, "segment-must-identify-member");
  public static final Name N_supported_live_property = Consts.N_supported_live_property;
  public static final Name N_supported_privilege = Consts.N_supported_privilege;
  public static final Name N_supported_report = Consts.N_supported_report;

  public static final Name N_unbind_source_exists = new Name(Consts.NS_WEBDAV, "unbind-source-exists");
  
  public static final Name N_workspace_location_ok = new Name(Consts.NS_WEBDAV, "workspace-location-ok");

  // SAP Portals extensions

  public static final Name N_SAP_can_assign_expected_version_URI = new Name(Consts.NS_WDSERVLET, "can-assign-expected-version-URI");

  // SAP Portals extensions for RFC2518

  public static final Name N_SAP_depth_infinity_allowed = new Name(Consts.NS_WDSERVLET, "depth-infinity-allowed");
  public static final Name N_SAP_destination_may_not_be_ancestor_of_source = new Name(Consts.NS_WDSERVLET, "destination-may-not-be-ancestor-of-source");
  public static final Name N_SAP_destination_must_be_in_collection = new Name(Consts.NS_WDSERVLET, "destination-must-be-in-collection");
  public static final Name N_SAP_filter_config_valid = new Name(Consts.NS_WDSERVLET, "filter-config-valid");
  public static final Name N_SAP_inter_workspace_bind_allowed = new Name(Consts.NS_WDSERVLET, "inter-workspace-bind-allowed");
  public static final Name N_SAP_inter_workspace_move_allowed = new Name(Consts.NS_WDSERVLET, "inter-workspace-move-allowed");
  public static final Name N_SAP_io_error = new Name(Consts.NS_WDSERVLET, "io-error");
  public static final Name N_SAP_legal_depth_header_value = new Name(Consts.NS_WDSERVLET, "legal-depth-header-value");
  public static final Name N_SAP_legal_if_header_value = new Name(Consts.NS_WDSERVLET, "legal-if-header-value");
  public static final Name N_SAP_legal_request_URI = new Name(Consts.NS_WDSERVLET, "legal-request-URI");
  public static final Name N_SAP_lock_token_matches = new Name(Consts.NS_WDSERVLET, "lock-token-matches");
  public static final Name N_SAP_lock_token_present = new Name(Consts.NS_WDSERVLET, "lock-token-present");
  public static final Name N_SAP_parent_collection_must_exist = new Name(Consts.NS_WDSERVLET, "parent-collection-must-exist");
  public static final Name N_SAP_property_name_valid = new Name(Consts.NS_WDSERVLET, "property-name-valid");
  public static final Name N_SAP_property_type_preserved = new Name(Consts.NS_WDSERVLET, "property-type-preserved");
  public static final Name N_SAP_property_value_fits = new Name(Consts.NS_WDSERVLET, "property-value-fits");
  public static final Name N_SAP_report_applicable = new Name(Consts.NS_WDSERVLET, "report-applicable");
  public static final Name N_SAP_request_body_wellformed = new Name(Consts.NS_WDSERVLET, "request-body-wellformed");
  public static final Name N_SAP_request_body_valid = new Name(Consts.NS_WDSERVLET, "request-body-valid");
  public static final Name N_SAP_required_request_body_present = new Name(Consts.NS_WDSERVLET, "required-request-body-present");
  public static final Name N_SAP_resource_allows_virus_content = new Name(Consts.NS_WDSERVLET, "resource-allows-virus-content");
  public static final Name N_SAP_resource_supports_entity_body = new Name(Consts.NS_WDSERVLET, "resource-supports-entity-body");
  public static final Name N_SAP_source_and_destination_must_differ = new Name(Consts.NS_WDSERVLET, "source-and-destination-must-differ");
  public static final Name N_SAP_source_may_not_be_ancestor_of_destination = new Name(Consts.NS_WDSERVLET, "source-may-not-be-ancestor-of-destination");

}