package com.sapportals.wcm.protocol.webdav;


/**
 * Configuration of DOM classes and implementation.
 * <p>
 * Copyright (c) SAP AG 2001
 * @author stefan.eissing@greenbytes.de
 */
class DomConfig {

  /** Use the default JAXP parser */
  public static final int TYPE_JAXP = 1;

  /** Explicitly use Xerces parses */
  public static final int TYPE_XERCES = 2;

  /** Explicitly use InQMy parser */
  public static final int TYPE_INQMY = 3;

  public static final int TYPE = TYPE_JAXP;
  // public static final int TYPE = TYPE_XERCES;
  // public static final int TYPE = TYPE_INQMY;

  // Xerces
  public static final boolean FIX_XERCES_SERIALIZER = true;
  public static final boolean XERCES_DEFER_NODE_EXPANSION = false;
  public static final String XERCES_DOMBUILDER_FACTORY = "org.apache.xerces.jaxp.DocumentBuilderFactoryImpl";

  // Xalan
  public static final String XALAN_TRANSFORMER_FACTORY = "org.apache.xalan.transformer.TransformerImpl";

  // Saxon
  public static final String SAXON_TRANSFORMER_FACTORY = "com.icl.saxon.TransformerFactoryImpl";

  // inqmy
  public static final String INQMY_DOMBUILDER_FACTORY = "com.inqmy.lib.jaxp.DocumentBuilderFactoryImpl";
  public static final String INQMY_TRANSFORMER_FACTORY = "com.inqmy.lib.jaxp.TransformerFactoryImpl";

  // JAXP
  public static final String JAXP_DOMBUILDER_FACTORY;
  public static final String JAXP_TRANSFORMER_FACTORY;

  static {
    switch (TYPE) {
    case TYPE_XERCES:
      JAXP_DOMBUILDER_FACTORY = XERCES_DOMBUILDER_FACTORY;
      JAXP_TRANSFORMER_FACTORY = XALAN_TRANSFORMER_FACTORY;
      break;

    case TYPE_INQMY:
      JAXP_DOMBUILDER_FACTORY = INQMY_DOMBUILDER_FACTORY;
      JAXP_TRANSFORMER_FACTORY = INQMY_TRANSFORMER_FACTORY;
      break;

    default:
      JAXP_DOMBUILDER_FACTORY = javax.xml.parsers.DocumentBuilderFactory.newInstance().getClass().getName();
      JAXP_TRANSFORMER_FACTORY = javax.xml.transform.TransformerFactory.newInstance().getClass().getName();
      break;
    }
  }
}