package com.sapportals.wcm.protocol.webdav;

/** ISimpleMap is a minimal Map interface.
 *
 * <p>
 * Copyright (c) SAP AG 2001-2004
 * @author stefan.eissing@greenbytes.de
 * @version $Revision: 1.3 $
 */
public interface ISimpleMap {

  /** Clear the map, remove all entries
   */
  public void clear();

  /** Lookup the value for the given key.
   * @return value for key or <code>null</code>
   */
  public Object get(Object key);

  /** Associate the given value with the given key
   * @param key to get the value with
   * @param value the value to store
   */
  public void put(Object key, Object value);

  /** Remote the value (if any) for the given key
   * @param key the key which shall be removed
   */
  public void remove(Object key);

}



