package com.sapportals.wcm.protocol.webdav.dasl;

import com.sapportals.wcm.protocol.webdav.Consts;
import com.sapportals.wcm.protocol.webdav.Name;

/**
 * DASL basicsearch constants common to both WEBDAV clients and servers.
 *
 * <p>
 * Copyright (c) SAP AG 2002-2003
 * @author julian.reschke@greenbytes.de
 * @version $Id: BasicSearch.java,v 1.1.1.1 2004/02/18 13:00:22 sync Exp $
 */

public class BasicSearch {

  public static final Name N_and = new Name(Consts.NS_WEBDAV, "and");
  public static final Name N_ascending = new Name(Consts.NS_WEBDAV, "ascending");

  public static final Name N_descending = new Name(Consts.NS_WEBDAV, "descending");

  public static final Name N_eq = new Name(Consts.NS_WEBDAV, "eq");

  public static final Name N_gte = new Name(Consts.NS_WEBDAV, "gte");
  public static final Name N_gt = new Name(Consts.NS_WEBDAV, "gt");

  public static final Name N_is_collection = new Name(Consts.NS_WEBDAV, "is-collection");
  public static final Name N_is_defined = new Name(Consts.NS_WEBDAV, "is-defined");

  public static final Name N_like = new Name(Consts.NS_WEBDAV, "like");
  public static final Name N_literal = new Name(Consts.NS_WEBDAV, "literal");
  public static final Name N_lte = new Name(Consts.NS_WEBDAV, "lte");
  public static final Name N_lt = new Name(Consts.NS_WEBDAV, "lt");

  public static final Name N_not = new Name(Consts.NS_WEBDAV, "not");

  public static final Name N_or = new Name(Consts.NS_WEBDAV, "or");

  public static final String AN_caseless = "caseless";

  // SAP extensions

  public static final Name N_SAP_someEq = new Name(Consts.NS_WDSERVLET, "some-eq");
  public static final Name N_SAP_someGt = new Name(Consts.NS_WDSERVLET, "some-gt");
  public static final Name N_SAP_someGte = new Name(Consts.NS_WDSERVLET, "some-gte");
  public static final Name N_SAP_someLike = new Name(Consts.NS_WDSERVLET, "some-like");
  public static final Name N_SAP_someLte = new Name(Consts.NS_WDSERVLET, "some-lte");
  public static final Name N_SAP_someLt = new Name(Consts.NS_WDSERVLET, "some-lt");
  public static final Name N_SAP_someNeq = new Name(Consts.NS_WDSERVLET, "some-ne");

  // deprecated versions (prior to SEARCH draft 04)
  public static final Name N_iscollection = new Name(Consts.NS_WEBDAV, "iscollection");
  public static final Name N_isdefined = new Name(Consts.NS_WEBDAV, "isdefined");

  public static final String AN_casesensitive = "casesensitive";
}