package com.sapportals.wcm.protocol.webdav.dompath;



/**
 *
 * <p>
 * Copyright (c) AG 2001-2003
 * @author stefan.eissing@greenbytes.de
 * @version $Id: AndExpression.java,v 1.1.1.1 2004/02/18 13:00:22 sync Exp $
 */

class AndExpression implements IExpression {

  private final IExpression m_left;
  private final IExpression m_right;

  AndExpression(IExpression left, IExpression right) {
    m_left = left;
    m_right = right;
  }

  public IContext evaluate(IContext context) {
    return context.newInstance(evaluateBoolean(context));
  }

  public boolean evaluateBoolean(IContext context) {
    return m_left.evaluateBoolean(context) && m_right.evaluateBoolean(context);
  }

  public int getType() {
    return IContext.TYPE_BOOLEAN;
  }

  public String toString() {
    StringBuffer sb = new StringBuffer();
    string(m_left, sb);
    sb.append(" and ");
    string(m_right, sb);
    return sb.toString();
  }

  private void string(IExpression expr, StringBuffer sb) {
    if (expr instanceof OrExpression) {
      sb.append("(").append(expr).append(")");
    }
    else {
      sb.append(expr);
    }
  }
}
