package com.sapportals.wcm.protocol.webdav.dompath;

/**
 * <p>
 * Copyright (c) SAP AG 2001-2003
 * @author stefan.eissing@greenbytes.de
 * @version $Id: ConstantExpression.java,v 1.1.1.1 2004/02/18 13:00:22 sync Exp $
 */
class ConstantExpression implements IExpression {

  private final int m_token;
  private final String m_name;
  private final IContext m_context;
  private final boolean m_boolean;

  ConstantExpression(int token, String name) {
    m_token = token;
    m_name = name;
    if (token == Lexer.NUMBER) {
      m_context = new PathContext(PathContext.ToNumber(m_name));
    }
    else {
      m_context = new PathContext(m_name);
    }
    m_boolean = m_context.toBoolean();
  }

  public IContext evaluate(IContext context) {
    return m_context;
  }

  public boolean evaluateBoolean(IContext context) {
    return m_boolean;
  }

  public int getType() {
    return m_context.getType();
  }

  public String toString() {
    if (m_token == Lexer.NUMBER) {
      return m_name;
    }
    else {
      StringBuffer sb = new StringBuffer();
      sb.append('\'').append(m_name).append('\'');
      return sb.toString();
    }
  }
}
