package com.sapportals.wcm.protocol.webdav.dompath;

/**
 * <p>
 * Copyright (c) SAP AG 2001-2003
 * @author stefan.eissing@greenbytes.de
 * @version $Id: EqualExpression.java,v 1.1.1.1 2004/02/18 13:00:22 sync Exp $
 */
class EqualExpression implements IExpression {

  private final IExpression m_left;
  private final IExpression m_right;
  private final boolean m_equality;

  EqualExpression(IExpression left, String op, IExpression right) {
    m_left = left;
    m_right = right;
    m_equality = op.equals("=");
  }

  public IContext evaluate(IContext context) {
    return context.newInstance(evaluateBoolean(context));
  }

  public boolean evaluateBoolean(IContext context) {
    IContext left = m_left.evaluate(context);
    IContext right = m_right.evaluate(context);

    return m_equality? left.equals(right) : !left.equals(right);
  }

  public int getType() {
    return IContext.TYPE_BOOLEAN;
  }

  public String toString() {
    StringBuffer sb = new StringBuffer();
    sb.append(m_left).append(m_equality? " = " : " != ").append(m_right);
    return sb.toString();
  }
}
