package com.sapportals.wcm.protocol.webdav.dompath;

/**
 * <p>
 * Copyright (c) SAP AG 2001-2003
 * @author stefan.eissing@greenbytes.de
 * @version $Id: FilterExpression.java,v 1.1.1.1 2004/02/18 13:00:22 sync Exp $
 */
class FilterExpression implements IExpression {

  private final IExpression m_expr;
  private final IExpression m_predicate;

  FilterExpression(IExpression expr, IExpression predicate) {
    m_expr = expr;
    m_predicate = predicate;
  }

  public IContext evaluate(IContext context) {
    IContext eval = m_expr.evaluate(context);
    if (m_predicate != null) {
      eval = m_predicate.evaluate(eval);
    }
    return eval;
  }

  public boolean evaluateBoolean(IContext context) {
    return evaluate(context).toBoolean();
  }

  public int getType() {
    return IContext.TYPE_NODESET;
  }

  public String toString() {
    StringBuffer sb = new StringBuffer();
    sb.append(m_expr);
    if (m_predicate != null) {
      sb.append(m_predicate);
    }
    return sb.toString();
  }
}
