package com.sapportals.wcm.protocol.webdav.dompath;

import java.util.Collections;

import org.w3c.dom.Node;

/**
 * <p>
 * Copyright (c) SAP AG 2001-2004
 * @author stefan.eissing@greenbytes.de
 * @version $Id: LocationExpression.java,v 1.2 2004/03/03 17:44:19 jre Exp $
 */
class LocationExpression implements IExpression {

  private final IStep m_step;

  LocationExpression(IStep step) {
    m_step = step;
  }

  public IContext evaluate(IContext context) {
    Node node = context.getCurrentNode();
    if (node != null) {
      Node[] nodes = new Node[] { node };
      return context.newInstance(m_step.match(nodes, context));
    }
    return context.newInstance(Collections.EMPTY_LIST);
  }

  public boolean evaluateBoolean(IContext context) {
    return (m_step.matchFirst(context.getCurrentNode()) != null);
  }

  public int getType() {
    return IContext.TYPE_NODESET;
  }

  public IStep getStep() {
    return m_step;
  }

  public String toString() {
    return m_step.toString();
  }
}
