package com.sapportals.wcm.protocol.webdav.dompath;

import org.w3c.dom.Node;

/**
 * <p>
 * Copyright (c) SAP AG 2001-2004
 * @author stefan.eissing@greenbytes.de
 * @version $Id: NameTest.java,v 1.2 2004/09/13 14:26:09 jre Exp $
 */
class NameTest implements INodeTest {

  private final String m_ns;
  private final String m_name;
  private final boolean m_allNames;

  NameTest(String namespace, String name) {
    m_ns = namespace;
    m_name = name;
    m_allNames = "*".equals(m_name);
  }

  public boolean matches(Node node) {
    int type = node.getNodeType();
    switch (type) {
    case Node.ELEMENT_NODE:
    case Node.ATTRIBUTE_NODE:
      if (m_allNames) {
        return true;
      }
      else {
        String node_ns = node.getNamespaceURI();
        //System.err.println("nodes ns = "+node_ns);
        return (m_name.equals(node.getLocalName())
                && (((m_ns != null) && m_ns.equals(node_ns))
                    || ((m_ns == null) && (node_ns == null || (node_ns.length() == 0)))
                    )
               );
      }

    default:
      return false;
    }
  }

  public String toString() {
    StringBuffer sb = new StringBuffer();
    if (m_ns != null) {
      sb.append('{').append(m_ns).append('}');
    }
    sb.append(m_name);
    return sb.toString();
  }
}
