package com.sapportals.wcm.protocol.webdav.dompath;

/**
 * <p>
 * Copyright (c) SAP AG 2001-2003
 * @author stefan.eissing@greenbytes.de
 * @version $Id: NegateExpression.java,v 1.1.1.1 2004/02/18 13:00:22 sync Exp $
 */
class NegateExpression implements IExpression {

  private final IExpression m_expr;

  NegateExpression(IExpression expr) {
    m_expr = expr;
  }

  public IContext evaluate(IContext context) {
    return context.newInstance(- context.toNumber());
  }

  public boolean evaluateBoolean(IContext context) {
    return evaluate(context).toBoolean();
  }

  public int getType() {
    return IContext.TYPE_NUMBER;
  }

  public String toString() {
    StringBuffer sb = new StringBuffer();
    sb.append(" -");
    sb.append(m_expr);
    return sb.toString();
  }

}
