package com.sapportals.wcm.protocol.webdav.dompath;

import org.w3c.dom.Node;

/**
 * <p>
 * Copyright (c) SAP AG 2001-2004
 * @author stefan.eissing@greenbytes.de
 * @version $Id: NodeTest.java,v 1.2 2004/09/13 14:26:09 jre Exp $
 */
class NodeTest implements INodeTest {

  private final int m_type;
  private final boolean m_all;

  NodeTest() {
    m_type = 0;
    m_all = true;
  }

  NodeTest(int nodeType) {
    m_type = nodeType;
    m_all = false;
  }

  public final boolean matches(Node node) {
    if (m_all)
      return true;

    switch (m_type) {
    case Node.TEXT_NODE:
    case Node.CDATA_SECTION_NODE:
      int type = node.getNodeType();
      return (type == Node.TEXT_NODE || type == Node.CDATA_SECTION_NODE);

    default:
      return node.getNodeType() == m_type;
    }
  }

  public String toString() {
    if (m_all) {
      return "node()";
    }

    switch (m_type) {
    case Node.TEXT_NODE:
      return "text()";
    case Node.COMMENT_NODE:
      return "comment()";
    case Node.PROCESSING_INSTRUCTION_NODE:
      return "processing-instruction()";
    }

    return "???()";
  }
}
