package com.sapportals.wcm.protocol.webdav.dompath;

import java.util.ArrayList;
import java.util.List;

import org.w3c.dom.Node;


/**
 *
 * <p>
 * Copyright (c) SAP AG 2001-2003
 * @author stefan.eissing@greenbytes.de
 * @version $Id: UnionExpression.java,v 1.1.1.1 2004/02/18 13:00:22 sync Exp $
 */

class UnionExpression implements IExpression {

  private final IExpression m_left;
  private final IExpression m_right;

  UnionExpression(IExpression left, IExpression right) {
    m_left = left;
    m_right = right;
  }

  public IContext evaluate(IContext context) {
    IContext leval = m_left.evaluate(context);
    IContext reval = m_right.evaluate(context);
    //System.err.println("union of nodesets");

    // TODO: put nodes into document order
    //
    List result = new ArrayList(20);
    Node[] nodes = leval.getNodes();
    for (int i = 0; i < nodes.length; ++i) {
      Node node = nodes[i];
      if (!result.contains(node)) {
        result.add(node);
      }
    }

    nodes = reval.getNodes();
    for (int i = 0; i < nodes.length; ++i) {
      Node node = nodes[i];
      if (!result.contains(node)) {
        result.add(node);
      }
    }

    return context.newInstance(result);
  }

  public boolean evaluateBoolean(IContext context) {
    return m_left.evaluateBoolean(context)
       || m_right.evaluateBoolean(context);
  }

  public int getType() {
    return IContext.TYPE_NODESET;
  }

  public String toString() {
    StringBuffer sb = new StringBuffer();
    sb.append(m_left).append("|").append(m_right);
    return sb.toString();
  }

}
