/*
 * Copyright (c) 2004 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: HTMLInput.java,v 1.1.1.1 2004/02/18 13:00:22 sync Exp $
 */
package com.sapportals.wcm.protocol.webdav.html;

/**
 * Detects HTML Login Forms.<p>
 *
 * Copyright (c) SAP AG 2001-2004
 *
 * @author stefan.eissing@greenbytes.de
 * @version $Id: HTMLInput.java,v 1.1.1.1 2004/02/18 13:00:22 sync Exp $
 */
public final class HTMLInput {

  public static final String BUTTON   = "button";
  public static final String CHECKBOX = "checkbox";
  public static final String FILE     = "file";
  public static final String HIDDEN   = "hidden";
  public static final String IMAGE    = "image";
  public static final String PASSWORD = "password";
  public static final String RADIO    = "radio";
  public static final String RESET    = "reset";
  public static final String SUBMIT   = "submit";
  public static final String TEXT     = "text";
  
  public static HTMLInput getInstance(String name, String type, String value) {
    return new HTMLInput(name, type, value);
  }
    
  private final String name;
  private final String type;
  private final String value;
    
  private HTMLInput(String name, String type, String value) {
    this.name = name;
    this.type = type;
    this.value = value;
  }
  
  public String getName() {
    return this.name; 
  }
  
  public String getType() {
    return this.type;
  }
  
  public String getValue() {
    return this.value;
  }
}
