package com.sapportals.wcm.protocol.webdav.repository.acl;

import com.sapportals.wcm.repository.ResourceException;
import com.sapportals.wcm.util.name.IName;

/**
 * Information about a failed ACL precondition.
 * <p>
 * Copyright (c) SAP AG 2002
 * @author julian.reschke@greenbytes.de
 * @version $Revision: 1.1.1.1 $
 */
public class AclPreconditionException extends ResourceException {

  private IName condition;

  public AclPreconditionException(IName condition) {
    super(condition.toString(), false);
    this.condition = condition;
  }

  public AclPreconditionException(String message, IName condition) {
    super(message, false);
    this.condition = condition;
  }

  public IName getCondition() {
    return this.condition;
  }
}