package com.sapportals.wcm.protocol.webdav.repository.monitor;

import java.util.List;

import com.sapportals.wcm.util.uri.IHierarchicalUri;

/**
 * Hands out status information for a particular http server.
 * <p>
 * Copyright (c) SAP AG 2002-2003
 * @author stefan.eissing@greenbytes.de
 * @version $Id: IServerComponent.java,v 1.1.1.1 2004/02/18 13:00:23 sync Exp $
 */
public interface IServerComponent {
  
  public interface IStatistics {
    public int getRequestCount();  

    public int getErrorCount();  

    public int getFailureCount();
    
    public int getSuccessCount();
  
    public long getResponseTimeAverageMS();
    
    public int getBytesPerSecond();
  }
  
  public String getID();
  
  public void setID(String id);

  public IHierarchicalUri getServerUri();

  public IStatistics getSnapshot();
  
  public List getLastErrors();
  
  public List getLastFailures();    
}
