package com.sapportals.wcm.protocol.webdav.server.loadtests;

/*
 * <p>
 * Copyright (c) SAP AG 2001-2005
 * @author stefan.eissing@greenbytes.de
 */

import junit.framework.TestCase;
import junit.framework.TestSuite;

public class AllTests extends TestCase {

  public static final String DEFAULT_SUITE = "WebDav Load Tests";

  public AllTests(String name) {
    super(name);
  }

  public static TestSuite suite() throws Exception
  {
    TestSuite suite = new TestSuite("Webdav Load Test at '" + MyTestSuite.getHost()
                                    + MyTestSuite.getBaseURI() + "'");

    String suitename = System.getProperty("suite", "crawl");
    MyTestSuite.SetUp();

    if (suitename.equalsIgnoreCase("get")) {
      suite.addTest(MyTestSuite.suite(GetTest.class, "GET"));
    }
    else if (suitename.equalsIgnoreCase("bigcollection")) {
      suite.addTest(MyTestSuite.suite(BigCollectionTest.class, "BigCollection"));
    }
    else if (suitename.equalsIgnoreCase("wild")) {
      suite.addTest(MyTestSuite.suite(WildTest.class, "WildTest"));
    }
    else if (suitename.equalsIgnoreCase("crawl")) {
      suite.addTest(MyTestSuite.suite(CrawlTest.class, "Crawl"));
    }
    else if (suitename.equalsIgnoreCase("batchreport")) {
      suite.addTest(MyTestSuite.suite(BatchReportTest.class, "Batch Report"));
    }
    else if (suitename.equalsIgnoreCase("crawlcopy")) {
      suite.addTest(MyTestSuite.suite(CrawlCopyTest.class, "CrawlCopy"));
    }
    else if (suitename.equalsIgnoreCase("copyreport")) {
      suite.addTest(MyTestSuite.suite(CopyReport.class, "CopyReport"));
    }
    else if (suitename.equalsIgnoreCase("nav")) {
      suite.addTest(MyTestSuite.suite(NavigationTest.class, "NavigationTest"));
    }
    else if (suitename.equalsIgnoreCase("putsize")) {
      suite.addTest(MyTestSuite.suite(PutSizeTest.class, "PutSizeTest"));
    }
    return suite;
  }

}