package com.sapportals.wcm.protocol.webdav.server.sqlbench;

import java.io.PrintWriter;
import java.io.StringWriter;

import com.sapportals.wcm.util.http.IResponse;

/**
 * Various tests for GET method.
 * <p>
 * Copyright SAP AG 2002
 * @author martin.boettcher@greenbytes.de
 * @version $Id: DeleteTest.java,v 1.1.1.1 2004/02/18 12:58:51 sync Exp $
 */

public class DeleteTest extends TestMember
{
  private static final String[] fns  = new String[] {
    "/removeme",
    "/removeme.flatdir",
    "/removeme.deepdir"
  };

  private static final String[] desc = new String[] {
    "00 DELETE file",
    "01 DELETE flat directory",
    "02 DELETE deep directory"
  };

  public static int NrOfTests = desc.length;

  public DeleteTest(Integer nr)
  {
    super(nr, desc[nr.intValue()]);
  }

  protected void runTest()
  {
    try
    {
      IResponse response;
      clear(m_request);
      m_request.setMethod("DELETE");
      m_request.setURI(m_localpart + fns[nr]);
      switch (nr)
      {
      case 0:
          for (int i=0; i<100; i++) {
            m_request.setURI(m_localpart + fns[nr] + i);
            response = m_requester.perform( m_request );
            checkResponseCode(response, 204);
          }
        break;
      case 1:
      case 2:
        response = m_requester.perform( m_request );
        checkResponseCode(response, 204);
        break;
      }
    }
    catch (Exception ex) {
      StringWriter sw = new StringWriter();
      ex.printStackTrace(new PrintWriter(sw));
      fail(sw.getBuffer().toString());
    }
//    System.err.println( this.getName() + " took " + (System.currentTimeMillis()-start) + "msec.");
  }
}
