package com.sapportals.wcm.protocol.webdav.server.sqlbench;

import java.io.ByteArrayInputStream;
import java.io.PrintWriter;
import java.io.StringWriter;

import com.sapportals.wcm.util.http.IResponse;

/**
 * Various tests for GET method.
 * <p>
 * Copyright SAP AG 2002-2003
 * @author martin.boettcher@greenbytes.de
 */

public class PutBigTest extends TestMember
{
  private static final String[] fns  = new String[] {
    "/Big1",
    "/Big2"
  };

  private static final String[] desc = new String[] {
    "00 PUT Big1",
    "01 PUT Big2"
  };

  public static int NrOfTests = desc.length;
  private static final byte[] bigArray = new byte[1024*1024];

  public PutBigTest(Integer nr)
  {
    super(nr, desc[nr.intValue()]);
  }

  protected void runTest()
  {
    try
    {
      IResponse response;
      clear(m_request);
      m_request.setMethod("PUT");

      m_request.setURI(m_localpart + fns[nr]);
      switch (nr)
      {
      case 0:
        m_request.setBody("klein");
        response = m_requester.perform( m_request );
        checkResponseCode(response, 201, 200);
        break;
      case 1:
        m_request.setBody(new ByteArrayInputStream(bigArray));
        response = m_requester.perform( m_request );
        checkResponseCode(response, 201, 200);
        break;
      }
    }
    catch (Exception ex) {
      StringWriter sw = new StringWriter();
      ex.printStackTrace(new PrintWriter(sw));
      fail(sw.getBuffer().toString());
    }
//    System.err.println( this.getName() + " took " + (System.currentTimeMillis()-start) + "msec.");
  }
}
