package com.sapportals.wcm.protocol.webdav.server.sqlbench;

import java.io.PrintWriter;
import java.io.StringWriter;

import com.sapportals.wcm.util.http.IResponse;

/**
 * Various tests for GET method.
 * <p>
 * Copyright SAP AG 2002-2003
 * @author martin.boettcher@greenbytes.de
 */

public class PutTinyTest extends TestMember
{
  private static final String[] fns  = new String[] {
    "/tiny1",
    "/tiny2",
    "/tiny3",
    "/tiny4"
  };

  private static final String[] desc = new String[] {
    "00 PUT tiny1",
    "01 PUT tiny2",
    "02 PUT tiny3",
    "03 PUT tiny4"
  };

  public static int NrOfTests = desc.length;

  public PutTinyTest(Integer nr)
  {
    super(nr, desc[nr.intValue()]);
  }

  protected void runTest()
  {
    try
    {
      IResponse response;
      clear(m_request);
      m_request.setMethod("PUT");
      m_request.setBody("Dies ist ein kleiner Inhalt!");
      m_request.setURI(m_localpart + fns[nr]);
      switch (nr)
      {
      case 0:
      case 1:
      case 2:
      case 3:
        response = m_requester.perform( m_request );
        checkResponseCode(response, 201, 200);
        break;
      }
    }
    catch (Exception ex) {
      StringWriter sw = new StringWriter();
      ex.printStackTrace(new PrintWriter(sw));
      fail(sw.getBuffer().toString());
    }
//    System.err.println( this.getName() + " took " + (System.currentTimeMillis()-start) + "msec.");
  }
}
