package com.sapportals.wcm.protocol.webdav.server.tests;


/**
 * Basic test for MS ADO connectivity.
 *
 * <p>
 * Copyright (c) SAP AG 2001-2003
 * @author julian.reschke@greenbytes.de
 * @version $Id: AdoTest.java,v 1.3 2004/03/29 11:52:07 jre Exp $
 */
public class AdoTest extends TestMember
{
  private static final String[] desc = new String[]
  {
    "00 AD Setup",
    "01 AD Connect and check record set",
  };

  public static final int NrOfTests = desc.length;

  public AdoTest(Integer nr)
  {
    super(nr, desc[nr.intValue()]);
  }

  protected void runTest()
  {
    try
    {
      switch (nr)
      {
      case 0:
        break;
      case 1:
        String adoHome = System.getProperty("adoHome", "c:\\projects\\WCM3\\testcases");
        String base = System.getProperty("host") + System.getProperty("base");

        // System.err.println(adoHome);
        Process p = Runtime.getRuntime().exec("cscript /nologo " + adoHome + "\\propfind_ado.js " +
          adoHome + " " + base + " " + "user" + " user " + adoHome + "\\adopropfindresult.xml");
        p.waitFor();
        assertTrue("exit value was: " + p.exitValue(), p.exitValue() == 123);
        break;
      }
    }
    catch (Exception ex) {
      java.io.StringWriter sw = new java.io.StringWriter();
      ex.printStackTrace(new java.io.PrintWriter(sw));
      fail(sw.getBuffer().toString());
    }
  }

}
