package com.sapportals.wcm.protocol.webdav.server.tests;

/* Specific tests that test framework/servlet functionality (not specific target repositories).
 * <p>
 * Copyright (c) SAP AG 2001-2003
 * @author julian.reschke@greenbytes.de
 * @version $Id: ServerTests.java,v 1.5 2005/10/11 16:03:01 mko Exp $
 */

import junit.framework.TestCase;
import junit.framework.TestSuite;

public class ServerTests extends TestCase {

  public static final String DEFAULT_SUITE = "WDServlet";

//  private static class OptionsSet {
//    private final String m_features;
//    private final String m_methods;
//
//    public OptionsSet(String methods, String features) {
//      m_methods = methods.toUpperCase();
//      m_features = features;
//    }
//
//    public boolean supportsFeature(String feature) {
//      return (m_features != null && (m_features.indexOf(feature) >= 0));
//    }
//
//    public boolean supportsMethod(String method) {
//      return (m_methods != null && (m_methods.indexOf(method.toUpperCase()) >= 0));
//    }
//  }

  public ServerTests(String name) {
    super(name);
  }

  public static TestSuite suite() throws Exception
  {
    FSTestSuite factory = new FSTestSuite();
    String base = factory.getBaseURI();
    String host = factory.getHost();
    // String servletPath = System.getProperty("servletPath", null);

    TestSuite suite = new TestSuite("DAV-compliance  at '"
                                    + host + base + "'");

    factory.setUp(true);

    suite.addTest(factory.suite(ServletActionsTest.class, "SERVLET ACTIONS"));
    suite.addTest(factory.suite(CrossRepositoryTest.class, "CROSS-REPOSITORY"));
    suite.addTest(factory.suite(WebFolderTest.class, "MS WEBFOLDER"));

    return suite;
  }

//  private static OptionsSet getFeatures(String uri) {
//    try {
//      IRequester requester = FSTestSuite.getRequester();
//      HttpRequest request = new HttpRequest(uri);
//      request.setMethod("OPTIONS");
//      IResponse response = requester.perform(request);
//      if (response.getStatus() == 200) {
//        String protocolFeatures = response.getHeader("DAV");
//
//        if (protocolFeatures != null) {
//          String methods = response.getHeader("Allow");
//          if (methods != null && methods.indexOf("SEARCH") >= 0) {
//            protocolFeatures += ", DASL";
//          }
//
//          return new OptionsSet(methods, protocolFeatures);
//        }
//      }
//    }
//    catch (WcmException ex) {
//      ex.printStackTrace(System.err);
//    }
//
//    return null;
//  }
}