package com.sapportals.wcm.protocol.webdav.server.tests;

import javax.xml.transform.Templates;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;

import org.w3c.dom.Document;


/**
 * XSLT wrapper.
 * <p>
 * Copyright (c) SAP AG 2001-2003
 * @author julian.reschke@greenbytes.de
 */

public class Xslt {

  private static Transformer transformer = null;

  static {
    try {
      System.setProperty("javax.xml.transform.TransformerFactory",
                         "com.icl.saxon.TransformerFactoryImpl");
      TransformerFactory tfactory = TransformerFactory.newInstance();
      StreamSource source = new StreamSource (Xslt.class.getResourceAsStream("normalize.xslt"),
        "normalize.xslt");
      Templates templates = tfactory.newTemplates(source);
      transformer = templates.newTransformer();
    }
    catch (javax.xml.transform.TransformerConfigurationException ex) {
      System.err.println ("Cannot init normalizer XSLT: " + ex);
      throw new java.lang.RuntimeException (ex.getMessage());
    }

    if (transformer == null) {
      throw new java.lang.RuntimeException ("m_transformer is null");
    }
  }

  private final String base;
  private final String userid;
  private final String userid2;
  private final String userbase;
  private final String groupbase;

  public Xslt (String base, String userbase, String userid, String userid2, String groupbase) {
    this.base = base;
    this.userbase = userbase;
    this.userid = userid;
    this.userid2 = userid2;
    this.groupbase = groupbase;
  }

  public String transform (Document doc, boolean sortResponses)
  {
    Xslt.transformer.clearParameters();
    Xslt.transformer.setParameter ("base", this.base);
    Xslt.transformer.setParameter ("sortResponses", new Boolean (sortResponses));
    Xslt.transformer.setParameter ("userid", this.userid);
    Xslt.transformer.setParameter ("userid2", this.userid2);
    Xslt.transformer.setParameter ("userbase", this.userbase);
    Xslt.transformer.setParameter ("groupbase", this.groupbase);
    //System.out.println("sort: " + sortResponses);
    //System.out.println ("saxon: " +
    //  ((com.icl.saxon.expr.BooleanValue)m_transformer.getParameter("sortResponses")).asBoolean());

    String s = com.sapportals.wcm.protocol.webdav.DomSerializer.toString (doc, false);

//    System.err.println (s);

    try {
      java.io.StringWriter result = new java.io.StringWriter();
//System.err.println (m_transformer);
      transformer.transform(new StreamSource(new java.io.StringReader (s)),
       new StreamResult(result));

//      m_transformer.transform(new DOMSource(doc),
//        new StreamResult(result));
//System.err.println (result.toString());
      return result.toString();
    }
    catch (Exception e) {
      System.err.println (e);
      e.printStackTrace(System.err);
      System.err.println (s);
      throw new RuntimeException (e.getMessage());
    }
    catch (Throwable e) {
      System.err.println (com.sapportals.wcm.protocol.webdav.DomSerializer.toString(doc, true));
      System.err.println (e);
      e.printStackTrace(System.err);
      System.err.println (s);
      throw new RuntimeException (e.getMessage());
    }
  }

}