package com.sapportals.wcm.protocol.webdav.server.tests;

import com.sapportals.wcm.util.http.IResponse;


/**
 * <p>
 * Copyright (c) SAP AG 2005
 * @author julian.reschke@greenbytes.de
 */
public class XythosClientTest extends TestMember {

  private static final String[] desc = new String[]
  {
      "00 XY (setup)",
      "01 XY server ident",
      "   XY cleanup",
  };

  public static final int NrOfTests = desc.length;


  public XythosClientTest(Integer nr) {
    super(nr, desc[nr.intValue()]);
  }

  protected void runTest()
  {
    if (nr == 0) super.logIdentifier("XY");

    try {
 
      clear(request);
      switch (nr) {
        case 0:
          break;

        case 1: {
            request.setMethod("GET");
            request.setURI(getLocalpart());
            request.setHeader("X-Features", "42");
            IResponse resp = requester.perform(request);
            String feat = resp.getHeader("X-Features");
            assertEquals("X-Features response header", "145, ctxmnu", feat);
          }
          break;

        default:
          break;
      }
    }
    catch (Exception ex) {
      java.io.StringWriter sw = new java.io.StringWriter();
      ex.printStackTrace(new java.io.PrintWriter(sw));
      fail(sw.getBuffer().toString());
    }
  }
}
