package com.sapportals.wcm.protocol.webdav.server.webtests;

import junit.framework.TestCase;
import junit.framework.TestSuite;

/** Runs test cases against web repository.
 * <p>
 * Copyright (c) SAP AG 2001-2003
 * @author stefan.eissing@greenbytes.de
 * @version $Id: AllTests.java,v 1.1.1.1 2004/02/18 12:58:55 sync Exp $
 */

public class AllTests extends TestCase {

  public AllTests(String name) {
    super(name);
  }

  public static TestSuite suite() throws Exception
  {
    String base = WebTestSuite.getBaseURI();
    String host = WebTestSuite.getHost();

    TestSuite suite = new TestSuite("Web Repository at '"
                                    + host + base + "'");

    WebTestSuite.SetUp();

    try {
      suite.addTest(WebTestSuite.suite(WebGetTest.class, "GET"));
      suite.addTest(WebTestSuite.suite(WebPropfindTest.class, "PROPFIND"));
    }
    catch (Exception ex) {
      ex.printStackTrace(System.err);
    }
    catch (Throwable t) {
      t.printStackTrace(System.err);
    }

    return suite;
  }

}