package com.sapportals.wcm.protocol.webdav.server.webtests;

import javax.xml.transform.Templates;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;

import org.w3c.dom.Document;


/**
 * XSLT wrapper.
 * <p>
 * Copyright (c) SAP AG 2001-2003
 * @author julian.reschke@greenbytes.de
 */

public class Xslt {

  private static Transformer m_transformer = null;

  static {
    try {
      System.setProperty("javax.xml.transform.TransformerFactory",
                         "com.icl.saxon.TransformerFactoryImpl");
      TransformerFactory tfactory = TransformerFactory.newInstance();
      StreamSource source = new StreamSource (Xslt.class.getResourceAsStream("normalize.xslt"),
        "normalize.xslt");
      Templates templates = tfactory.newTemplates(source);
      m_transformer = templates.newTransformer();
    }
    catch (javax.xml.transform.TransformerConfigurationException ex) {
      System.err.println ("Cannot init normalizer XSLT: " + ex);
      throw new java.lang.RuntimeException (ex.getMessage());
    }

    if (m_transformer == null) {
      throw new java.lang.RuntimeException ("m_transformer is null");
    }
  }

  private String m_base;
  private String m_extbase;
  private String m_extprefix;

  public Xslt (String base, String extBase, String extprefix)
  {
    m_base = base;
    m_extbase = extBase;
    m_extprefix = extprefix;
  }

  public String transform (Document doc, boolean sortResponses)
  {
    m_transformer.clearParameters();
    m_transformer.setParameter ("base", m_base);
    m_transformer.setParameter ("extbase", m_extbase);
    m_transformer.setParameter ("extprefix", m_extprefix);
    m_transformer.setParameter ("sortResponses", new Boolean (sortResponses));

    //System.out.println("sort: " + sortResponses);
    //System.out.println ("saxon: " +
    //  ((com.icl.saxon.expr.BooleanValue)m_transformer.getParameter("sortResponses")).asBoolean());

    String s = com.sapportals.wcm.protocol.webdav.DomSerializer.toString (doc, false);

//    System.err.println (s);

    try {
      java.io.StringWriter result = new java.io.StringWriter();
//System.err.println (m_transformer);
      m_transformer.transform(new StreamSource(new java.io.StringReader (s)),
       new StreamResult(result));

//      m_transformer.transform(new DOMSource(doc),
//        new StreamResult(result));
//System.err.println (result.toString());
      return result.toString();
    }
    catch (Exception e) {
      System.err.println (e);
      e.printStackTrace(System.err);
      System.err.println (s);
      throw new RuntimeException (e.getMessage());
    }
  }

}