/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: AclPermissionListIterator.java,v 1.1.1.1 2004/02/18 12:56:44 sync Exp $
 */

package com.sapportals.wcm.util.acl;

import java.util.*;

/**
 * Default implementation of an <code>IAclPermissionListIterator</code> , an
 * iterator for <code>IAclPermissionList</code> s. <br>
 *
 */
public final class AclPermissionListIterator implements IAclPermissionListIterator {
  private Iterator m_iterator = null;


  public AclPermissionListIterator(Iterator iterator) {
    m_iterator = iterator;
  }

  public boolean hasNext() {
    return m_iterator.hasNext();
  }

  public IAclPermission next() {
    return (IAclPermission)m_iterator.next();
  }
}
