/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: IAclEntryList.java,v 1.2 2004/05/06 17:50:53 sync Exp $
 */

package com.sapportals.wcm.util.acl;

/**
 * An <code>IAclEntryList</code> is a list of <code>IAclEntry</code> s. <br>
 *
 */
public interface IAclEntryList {
  /**
   * get an iterator for the list
   *
   * @return the iterator
   */
  public IAclEntryListIterator iterator();

  /**
   * check if this list contains one or more <code>IAclEntryRaw</code>s.
   * @return <code>true</code>, if at least one list entry is a
   *        <code>IAclEntryRaw</code> entry
   */
  public boolean containsRawEntries();
  
  /**
   * @supplierCardinality 1
   * @directed
   */
  /*
   * #IAclEntryListIterator lnkIAclEntryListIterator;
   */
}
