/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: IObjectType.java,v 1.1.1.1 2004/02/18 12:56:45 sync Exp $
 */

package com.sapportals.wcm.util.acl;

/**
 * An <code>IObjectType</code> is specifies the possible type of an object, an
 * ACL can be assigned to. <br>
 *
 */
public interface IObjectType {
  // predefined types
  public final static String OBJECT_TYPE_NODE = "node";
  public final static String OBJECT_TYPE_LEAF = "leaf";

  /**
   * get the name of the object type
   *
   * @return the name of the object type
   */
  public String getName();

  /**
   * check whether the object type equals another object type return true iff
   * the object type equals the other object type
   *
   * @param objectType TBD: Description of the incoming method parameter
   * @return TBD: Description of the outgoing return value
   */
  public boolean equals(IObjectType objectType);
}
