/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: IUMPrincipalList.java,v 1.2 2004/05/06 17:50:53 sync Exp $
 */

package com.sapportals.wcm.util.acl;

/**
 * An <code>IUMPrincipalList</code> is a list of <code>IUMPrincipals</code> .
 * <br>
 *
 */
public interface IUMPrincipalList {
  /**
   * get an iterator for the list
   *
   * @return the iterator
   */
  public IUMPrincipalListIterator iterator();

  /**
   * check if this list contains one or more <code>IUMPrincipalRaw</code>s.
   * @return <code>true</code>, if at least one list entry is a
   *        <code>IUMPrincipalRaw</code> entry
   */
  public boolean containsRawEntries();
  
  /**
   * @supplierCardinality 1
   * @directed
   */
  /*
   * #IUMPrincipalListIterator lnkIUMPrincipalListIterator;
   */
}
