/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: ObjectTypeList.java,v 1.1.1.1 2004/02/18 12:56:45 sync Exp $
 */

package com.sapportals.wcm.util.acl;

import java.util.*;

/**
 * Default implementation of an <code>IObjectTypeList</code> , a list of <code>
 * IObjectType</code> s. <br>
 *
 */
public final class ObjectTypeList implements IObjectTypeList {
  private List m_list = null;


  public ObjectTypeList() {
    m_list = new LinkedList();
  }

  public void add(IObjectType objectType) {
    m_list.add(objectType);
  }

  public IObjectTypeListIterator iterator() {
    return new ObjectTypeListIterator(m_list.iterator());
  }
}
