/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: IExtendedCacheStatistics.java,v 1.1.1.1 2004/02/18 12:56:45 sync Exp $
 */

package com.sapportals.wcm.util.cache;

/**
 * Provides some additional statistical information about a cache instance.
 */
public interface IExtendedCacheStatistics {
  /**
   * @return sum of all entry sizes in the cache
   */
  public long getSize();

  /**
   * @return true iff all entry sizes have been set by the application (no use
   *      of the average size)
   */
  public boolean isSizeFullyDetermined();
}
