/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: SystemPrincipalList.java,v 1.1.1.1 2004/02/18 12:56:48 sync Exp $
 */

package com.sapportals.wcm.util.systemconfig;

import java.util.*;

/**
 * The (default) implementation for a <code>ISystemPrincipalList</code> . <br>
 *
 */
public class SystemPrincipalList implements ISystemPrincipalList {

  private final static ISystemPrincipal[] EMPTY = new ISystemPrincipal[0];

  final ISystemPrincipal[] principals;

  public SystemPrincipalList(List list) {
    this.principals = (ISystemPrincipal[])list.toArray(EMPTY);
  }

  public ISystemPrincipalListIterator iterator() {
    return new SystemPrincipalListIterator(this.principals);
  }

}
