/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: IRidSet.java,v 1.1.1.1 2004/02/18 12:56:49 sync Exp $
 */

package com.sapportals.wcm.util.uri;

/**
 * This interface defines a set of <code>RID</code> instances <p>
 *
 * Copyright (c) SAP AG 2001-2002
 *
 * @author
 * @author m.breitenfelder@sapportals.com
 * @version $Id: IRidSet.java,v 1.1.1.1 2004/02/18 12:56:49 sync Exp $
 */
public interface IRidSet {

  public boolean isEmpty();

  public int size();

  public boolean add(RID rid);

  public boolean contains(RID rid);

  public boolean remove(RID rid);

  public IRidIterator iterator();

  public RID[] toArray();
}

