/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: RidIterator.java,v 1.1.1.1 2004/02/18 12:56:49 sync Exp $
 */

package com.sapportals.wcm.util.uri;
import java.util.Iterator;

import java.util.ListIterator;

/**
 * An RID iterator implementation <p>
 *
 * Copyright (c) SAP AG 2001-2002
 *
 * @author m.breitenfelder@sapportals.com
 * @version $Id: //javabas/com.sapportals.wcm/50_COR/src/java/util/api/com/sapportals/wcm/util/uri/UriIterator.java#7
 *      $
 */
public class RidIterator implements IRidIterator {

  private Iterator it = null;

  public RidIterator(ListIterator it) {
    this.it = it;
  }

  public RidIterator(Iterator it) {
    this.it = it;
  }


  public boolean hasNext() {
    return this.it.hasNext();
  }

  public RID next() {
    return (RID)this.it.next();
  }

  public void remove() {
    this.it.remove();
  }
}
